al_fread16be(3)

NAME

al_fread16be - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    int16_t al_fread16be(ALLEGRO_FILE *f)

DESCRIPTION

Reads a 16-bit word in big-endian format (MSB first).

On success, returns the 16-bit word. On failure, returns EOF (-1). Since -1 is also a valid return value, use al_feof(3) to check if the end of the file was reached prematurely, or al_ferror(3) to check if an error occurred.

SEE ALSO

al_fread16le(3)